#### Description:

This function sets the AST error status to the value supplied. It does not cause any error message to be produced and should not be used as part of normal error reporting. Its purpose is simply to communicate to AST that an error has occurred in some other item of software.

For example, a source or sink function supplied as an argument to astChannel or astFitsChan might use this to signal that an input/output error has occurred. AST could then respond by terminating the current read or write operation.

#### Synopsis

void astSetStatus( int status_value )

#### Parameters:

##### status_value

The new error status value to be set.

#### Notes:

- If the AST error status is set to an error value, most AST functions will not execute and will simply return without action. To clear the error status and restore normal behaviour, use astClearStatus.

Copyright (C) 2021 East Asian Observatory